# Huawei BGP Peer
Monitors status of Huawei BGP peers (HUAWEI-BGP-VPN-MIB)

**Note**: the service name has ben changed from _**Huawei BGP peer**_ to _**BGP peer**_. 

**Note**: This plugin is based on [BGP Peer](https://thl-cmk.hopto.org/gitlab/checkmk/vendor-independent/bgp_peer "BGP Peer"). To use **_huawei_bgp_peer_** you need to install **_bgp_peer_** as well.

----
### Download

- [huawaei_bgp_peer.mkp](/../../../-/raw/master/huawei_bgp_peer.mkp "Download MKP package")

----
### Check Info:

* *service*: this check creates one service for each peer/address family  (IPv4 and IPv6) [see bgp_peer service](https://thl-cmk.hopto.org/gitlab/checkmk/vendor-independent/bgp_peer/-/blob/master/README.md "BGP peer readme.md")
* *state*: \
    **critical**: if Peer state is idle or if *hwBgpPeerUnAvaiReason* not 0\
    **warning**: if Peer state is not idle and not established, if Peer uptime < min. uptime
* *wato*: [see bgp_peer WATO options](https://thl-cmk.hopto.org/gitlab/checkmk/vendor-independent/bgp_peer/-/raw/master/doc/wato.png?raw=true "BGP Peer WATO options")

* *perfdata*: 
    * FMS transitions (count)
    * FMS last change (s)
    * Prefixes advertised (count)
    * Prefixes received (count)
    * Prefixes active (count)

---

#### Want to contribute?
Nice ;-) Have a look at the [contribution guidelines](CONTRIBUTING.md "Contributing")

---

Sample output

![sample output](/doc/sample.png?raw=true "sample [SHORT TITLE]")


