#!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# License: GNU General Public License v2
#
# Author: thl-cmk[at]outlook[dot]com
# URL   : https://thl-cmk.hopto.org
# Date  : 2020-06-22
#
# Huawei BGP Peer
#
# 2020-07-20: added BGP prefix counter
#
#
from cmk.gui.i18n import _

from cmk.gui.plugins.metrics import (
    metric_info,
    graph_info,
    perfometer_info
)


metric_info['bgp_peer_prefixrcvcounter'] = {
    'title': _('Prefixes received'),
    'unit': 'count',
    'color': '11/a',
}
metric_info['bgp_peer_prefixactivecounter'] = {
    'title': _('Prefixes active'),
    'unit': 'count',
    'color': '33/a',
}
metric_info['bgp_peer_prefixadvcounter'] = {
    'title': _('Prefixes advertised'),
    'unit': 'count',
    'color': '43/a',
}


graph_info['huawei_bgp_peer_counter']= {
    'title': _('BGP prefix counter'),
    'metrics': [
        ('bgp_peer_prefixrcvcounter', 'line'),
        ('bgp_peer_prefixactivecounter', 'line'),
        ('bgp_peer_prefixadvcounter', 'line'),
    ]
}
